
<?php
require_once("../php/config.php");
require_once("../php/formatos.php");
$monto = $_POST["monto"];
$id_prestamo = $_POST["id_prestamo"];
$int=0.00;
$interes_pagado = 0.00;



mysql_query("update prestamos set balance_interes=balance_interes - '$monto', balance=balance - '$monto' where id_prestamo='$id_prestamo'") or die(mysql_error());


$sql = mysql_query("select * from cuotas where balance_interes>0 and id_prestamo='$id_prestamo'  order by id asc") or die(mysql_error());
while($r = mysql_fetch_array($sql)){

	$interes = $r["balance_interes"];
	$id = $r["id"];
	$numero = $r["numero"];
	
	if($monto>0){
		cobrar($id,$interes);
		$interes_pagado=0;
	}
	

}


function cobrar($id,$interes){
	
	global $monto;
	

	global $int; 


	

			if($interes>$monto){
			    mysql_query("update cuotas set descuento=descuento+'$monto',balance_interes=balance_interes-'$monto' where id='$id'") or die(mysql_error());
			    $monto = 0;
	
            }
	        
	        if($interes<$monto){
			    mysql_query("update cuotas set descuento=descuento+balance_interes,balance_interes=0 where id='$id'") or die(mysql_error());
			    $monto = $monto - $interes;
	
            }
	
	       if($interes==$monto){
			    mysql_query("update cuotas set descuento=descuento+'$monto',balance_interes=0 where id='$id'") or die(mysql_error());
			    $monto = 0;
	
            }
            

        	

	 
}

mysql_query("update cuotas set balance=balance - descuento where id_prestamo='$id_prestamo'") or die(mysql_error());
echo "Descuento aplicado";

?>





